Package org.kie.internal.task.api

## Interface TaskAdminService

-     public interface TaskAdminService

  The Task Admintration Service is intended to provide administrative functions such as: - Remove and Archive Tasks

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `archiveTasks​(java.util.List<org.kie.api.task.model.TaskSummary> tasks)` |
    `java.util.List<org.kie.api.task.model.TaskSummary>` | `getActiveTasks()` |
    `java.util.List<org.kie.api.task.model.TaskSummary>` | `getActiveTasks​(java.util.Date since)` |
    `java.util.List<org.kie.api.task.model.TaskSummary>` | `getArchivedTasks()` |
    `java.util.List<org.kie.api.task.model.TaskSummary>` | `getCompletedTasks()` |
    `java.util.List<org.kie.api.task.model.TaskSummary>` | `getCompletedTasks​(java.util.Date since)` |
    `java.util.List<org.kie.api.task.model.TaskSummary>` | `getCompletedTasksByProcessId​(java.lang.Long processId)` |
    `int` | `removeAllTasks()` |
    `int` | `removeTasks​(java.util.List<org.kie.api.task.model.TaskSummary> tasks)` |

- - ### Method Detail

    - #### getActiveTasks

          java.util.List<org.kie.api.task.model.TaskSummary> getActiveTasks()

    - #### getActiveTasks

          java.util.List<org.kie.api.task.model.TaskSummary> getActiveTasks​(java.util.Date since)

    - #### getCompletedTasks

          java.util.List<org.kie.api.task.model.TaskSummary> getCompletedTasks()

    - #### getCompletedTasks

          java.util.List<org.kie.api.task.model.TaskSummary> getCompletedTasks​(java.util.Date since)

    - #### getCompletedTasksByProcessId

          java.util.List<org.kie.api.task.model.TaskSummary> getCompletedTasksByProcessId​(java.lang.Long processId)

    - #### archiveTasks

          int archiveTasks​(java.util.List<org.kie.api.task.model.TaskSummary> tasks)

    - #### getArchivedTasks

          java.util.List<org.kie.api.task.model.TaskSummary> getArchivedTasks()

    - #### removeTasks

          int removeTasks​(java.util.List<org.kie.api.task.model.TaskSummary> tasks)

    - #### removeAllTasks

          int removeAllTasks()